# qtawesome.load_font

qtawesome.load_font(prefix, ttf_filename, charmap_filename, directory=None)

  Loads a font file and the associated charmap.

  If `directory` is None, the files will be looked for in `./fonts/`.

  Parameters

    - prefix (str) – Prefix string to be used when accessing a given font set

    - ttf_filename (str) – Ttf font filename

    - charmap_filename (str) – Character map filename

    - directory (str or None, optional) – Directory for font and charmap files

  Example

  The spyder ide uses qtawesome and uses a custom font for spyder-specific icons:

      qta.load_font('spyder', 'spyder.ttf', 'spyder-charmap.json')